Skip to content

Retrieve the principal for a security access review

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.endUser.read

Retrieves the details of a security access review's principal target

Path
securityAccessReviewIdstringrequired

The ID of the security access review

GET
/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/principal
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/principal'

Responses

A successful security access review principal details get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, [ 1 .. 20 ] charactersrequired

Okta user id

emailstring, [ 1 .. 100 ] characters

Okta user's email address

firstNamestring, [ 0 .. 255 ] characters

Okta user's first name

lastNamestring, [ 0 .. 255 ] characters

Okta user's last name

loginstring, [ 1 .. 100 ] characters

Okta user's sign-in credentials, which is often their email address

namestring, [ 1 .. 255 ] characters

Principal's name (populated if type is AI_AGENT)

statusstring(principal-profile-status)required

The status of the principal's profile

Enum:"ACTIVE""INACTIVE"
typestring(principal-profile-type)required

The type of principal

Enum:"USER""CLIENT_APP""UNKNOWN""AI_AGENT"
departmentstring, [ 1 .. 255 ] characters

The department of the Okta user

managerstring, [ 1 .. 255 ] characters

The manager of the Okta user

rolestring, [ 1 .. 255 ] characters

The Okta user role

homeLocationobject(security-access-review-principal-location)

The location details of the Okta user

lastLoginInfoobject(security-access-review-principal-last-login-info)

The latest sign-in details for the Okta user

oktaAdminRolesArray of objects, [ 0 .. 50 ] items(security-access-review-principal-okta-admin-role)

List of Okta admin roles assigned to the principal

Response
{ "id": "00ucpjbi6JMmDvdN40g4", "email": "john.doe@okta.com", "firstName": "John", "lastName": "Doe", "login": "john.doe@okta.com", "status": "ACTIVE", "department": "Engineering", "manager": "Jane Smith", "role": "Software Engineer", "homeLocation": { "city": "San Francisco", "state": "CA", "country": "USA" }, "lastLoginInfo": { "date": "2025-06-12T15:30:00Z", "location": {}, "device": "MacBook Pro", "ipAddress": "127.0.0.1" }, "oktaAdminRoles": [ {} ], "createdBy": "00ucfd4IQoH6YBZgA0g4", "created": "2025-06-13T00:40:57Z", "lastUpdated": "2025-06-13T00:40:57Z", "lastUpdatedBy": "00ucfd4IQoH6YBZgA0g4", "_links": { "securityAccessReviewDetails": {}, "history": {}, "userDetails": {}, "accesses": {}, "actions": {} } }